# Trinity Desktop Environment GIT Repositories

TDE is a comprehensive desktop environment that includes both
core packages and applications designed for it.

The complete source code is split into many individual GIT repositories,
connected together into a tree structure of modules and submodules. The
main *TDE* repository provides the entry point to the root of such tree,
simplifying navigation and cloning operation of the complete TDE code.

TDE packaging repository contains files designed to create source and
binary packages for distributions such as Debian, Fedora, and so on.


## Check out the complete TDE source code

To check out the complete source tree from GIT,
you can use the following procedure:

```
git clone https://mirror.git.trinitydesktop.org/gitea/TDE/tde
git clone https://mirror.git.trinitydesktop.org/gitea/TDE/scripts tde/scripts
cd tde
./scripts/switch_all_submodules_to_head_and_clean anonymous

```
